# Configuration

### Locales

```lua
-- ██╗      ██████╗  ██████╗ █████╗ ██╗     ███████╗
-- ██║     ██╔═══██╗██╔════╝██╔══██╗██║     ██╔════╝
-- ██║     ██║   ██║██║     ███████║██║     █████╗  
-- ██║     ██║   ██║██║     ██╔══██║██║     ██╔══╝  
-- ███████╗╚██████╔╝╚██████╗██║  ██║███████╗███████╗
-- ╚══════╝ ╚═════╝  ╚═════╝╚═╝  ╚═╝╚══════╝╚══════╝

--[[
    There are currently 2 languages that support our script, these are;

    - ar (Arabic) - NEW
    - en (English)
    - tr (Turkish)
    - pt (Portuguese) - NEW

    By default ‘en’ is used, if you want us to support your language, send us the files via our discord server!
]]

Config.Locale = 'en'
```

### Currency

```lua
--  ██████╗██╗   ██╗██████╗ ██████╗ ███████╗███╗   ██╗ ██████╗██╗   ██╗
-- ██╔════╝██║   ██║██╔══██╗██╔══██╗██╔════╝████╗  ██║██╔════╝╚██╗ ██╔╝
-- ██║     ██║   ██║██████╔╝██████╔╝█████╗  ██╔██╗ ██║██║      ╚████╔╝ 
-- ██║     ██║   ██║██╔══██╗██╔══██╗██╔══╝  ██║╚██╗██║██║       ╚██╔╝  
-- ╚██████╗╚██████╔╝██║  ██║██║  ██║███████╗██║ ╚████║╚██████╗   ██║   
--  ╚═════╝ ╚═════╝ ╚═╝  ╚═╝╚═╝  ╚═╝╚══════╝╚═╝  ╚═══╝ ╚═════╝   ╚═╝   

--[[
    Here you can change the currency in the UI by specifying your currency directly.
]]

Config.Currency = 'EUR'
```

### Hide MiniMap

Usually used for <mark style="color:yellow;">ESX</mark>

```lua
-- ██╗  ██╗██╗██████╗ ███████╗    ██████╗  █████╗ ██████╗  █████╗ ██████╗ 
-- ██║  ██║██║██╔══██╗██╔════╝    ██╔══██╗██╔══██╗██╔══██╗██╔══██╗██╔══██╗
-- ███████║██║██║  ██║█████╗      ██████╔╝███████║██║  ██║███████║██████╔╝
-- ██╔══██║██║██║  ██║██╔══╝      ██╔══██╗██╔══██║██║  ██║██╔══██║██╔══██╗
-- ██║  ██║██║██████╔╝███████╗    ██║  ██║██║  ██║██████╔╝██║  ██║██║  ██║
-- ╚═╝  ╚═╝╚═╝╚═════╝ ╚══════╝    ╚═╝  ╚═╝╚═╝  ╚═╝╚═════╝ ╚═╝  ╚═╝╚═╝  ╚═╝

--[[
    If your hud does not hide the map when you first login, set this to true
--]]

Config.HideRadar = false
```

### Default Slots

```lua
Config.Default.Slots = 1 -- You specify how many free slots users will have by default and the player checks the sql data after the first login, so this setting is only for new users
```

### Default Settings

```lua
Config.Default.Settings = {
    ['streamerMode'] = false,
    ['mutedMusic'] = false,
    ['focusPlayer'] = true,
    ['clearMode'] = true,
    ['filter'] = {
        ['status'] = false,
        ['type'] = 'default', -- config/config.lua:638
    },
    ['particle'] = { -- config/config.lua:580
        ['status'] = false,
        ['type'] = {
            ['pName'] = 'scr_xs_celebration',
            ['pNameChild'] = 'scr_xs_confetti_burst'
        },
    },
    ['color'] = { -- config/config.lua:169
        ['name'] = "dark-green",
        ['hex'] = "#04CD96",
        ['shadow'] = "rgba(4, 205, 150, 0.72)",
    },
    ['time'] = {
        ['status'] = false,
        ['hour'] = 12, -- recommended 10-23 | not 00 or 00:00
    },
    ['weather'] = {
        ['status'] = false,
        ['type'] = 'EXTRASUNNY', -- CLEAR, EXTRASUNNY, CLOUDS, OVERCAST, RAIN, CLEARING , THUNDER, SMOG, FOGGY, XMAS , SNOWLIGHT, BLIZZARD
    },
    ['coords'] = { -- config/config.lua:486
        ['id'] = 19,
        ['pedCoords'] = vector4(2967.99, 5321.21, 100.68, 139.24),
        ['scenario'] = 'PROP_HUMAN_SEAT_CHAIR_DRINK',
        ['cameraCoords'] = vector3(0.3, 2.5, 0.3)
    },
    ['animations'] = { -- config/config.lua:597
        ['status'] = false,
        ['single'] = 'uwu',
        ['scenario'] = {
            ['status'] = false,
            ['single'] = 'WORLD_HUMAN_SMOKING',
        },
        ['camera'] = 'front', -- front, back, left, right, front-left, front-right, back-left, back-right, up-front-right, up-front-left, up-back-right, up-back-left
        ['entrance'] = 'top-and-bottom', -- top-and-bottom, left-and-right
    }
}
```

Default Spawn

```lua
Config.Default.Spawn.Single = vector4(-1037.11, -2736.96, 20.17, 323.76)
```

Animation Menu

```lua
--  █████╗ ███╗   ██╗██╗███╗   ███╗ █████╗ ████████╗██╗ ██████╗ ███╗   ██╗    ███╗   ███╗███████╗███╗   ██╗██╗   ██╗
-- ██╔══██╗████╗  ██║██║████╗ ████║██╔══██╗╚══██╔══╝██║██╔═══██╗████╗  ██║    ████╗ ████║██╔════╝████╗  ██║██║   ██║
-- ███████║██╔██╗ ██║██║██╔████╔██║███████║   ██║   ██║██║   ██║██╔██╗ ██║    ██╔████╔██║█████╗  ██╔██╗ ██║██║   ██║
-- ██╔══██║██║╚██╗██║██║██║╚██╔╝██║██╔══██║   ██║   ██║██║   ██║██║╚██╗██║    ██║╚██╔╝██║██╔══╝  ██║╚██╗██║██║   ██║
-- ██║  ██║██║ ╚████║██║██║ ╚═╝ ██║██║  ██║   ██║   ██║╚██████╔╝██║ ╚████║    ██║ ╚═╝ ██║███████╗██║ ╚████║╚██████╔╝
-- ╚═╝  ╚═╝╚═╝  ╚═══╝╚═╝╚═╝     ╚═╝╚═╝  ╚═╝   ╚═╝   ╚═╝ ╚═════╝ ╚═╝  ╚═══╝    ╚═╝     ╚═╝╚══════╝╚═╝  ╚═══╝ ╚═════╝ 

--[[
    From here, if you want to use animation instead of a script, you must specify an animation menu, here are some of the scripts we support;

    - rpemotes
    - scully
    - other
]]

Config.AnimationMenu = 'other'
```

### Starter Items

```lua

-- ███████╗████████╗ █████╗ ██████╗ ████████╗███████╗██████╗     ██╗████████╗███████╗███╗   ███╗███████╗
-- ██╔════╝╚══██╔══╝██╔══██╗██╔══██╗╚══██╔══╝██╔════╝██╔══██╗    ██║╚══██╔══╝██╔════╝████╗ ████║██╔════╝
-- ███████╗   ██║   ███████║██████╔╝   ██║   █████╗  ██████╔╝    ██║   ██║   █████╗  ██╔████╔██║███████╗
-- ╚════██║   ██║   ██╔══██║██╔══██╗   ██║   ██╔══╝  ██╔══██╗    ██║   ██║   ██╔══╝  ██║╚██╔╝██║╚════██║
-- ███████║   ██║   ██║  ██║██║  ██║   ██║   ███████╗██║  ██║    ██║   ██║   ███████╗██║ ╚═╝ ██║███████║
-- ╚══════╝   ╚═╝   ╚═╝  ╚═╝╚═╝  ╚═╝   ╚═╝   ╚══════╝╚═╝  ╚═╝    ╚═╝   ╚═╝   ╚══════╝╚═╝     ╚═╝╚══════╝

--[[
    You can specify the items to be given to new players joining the server here
]]

Config.StarterItems = {
    { item = 'phone',          amount = 1 },
    { item = 'id_card',        amount = 1, customExport = false },
    { item = 'driver_license', amount = 1, customExport = false },
}
```

### 0Resmon Multicharacter Spawn

```lua
Config.SpawnSelector.Use0Resmon = true
Config.SpawnSelector.Skip = false
```

### Other Spawn

```lua
Config.SpawnSelector.OpenUI = function(source, lastLocation)
    TriggerClientEvent('qb-spawn:client:openUI', source, true)
end
```

### Apartment Start

```lua
--  █████╗ ██████╗  █████╗ ██████╗ ████████╗███╗   ███╗███████╗███╗   ██╗████████╗    ███████╗████████╗ █████╗ ██████╗ ████████╗
-- ██╔══██╗██╔══██╗██╔══██╗██╔══██╗╚══██╔══╝████╗ ████║██╔════╝████╗  ██║╚══██╔══╝    ██╔════╝╚══██╔══╝██╔══██╗██╔══██╗╚══██╔══╝
-- ███████║██████╔╝███████║██████╔╝   ██║   ██╔████╔██║█████╗  ██╔██╗ ██║   ██║       ███████╗   ██║   ███████║██████╔╝   ██║   
-- ██╔══██║██╔═══╝ ██╔══██║██╔══██╗   ██║   ██║╚██╔╝██║██╔══╝  ██║╚██╗██║   ██║       ╚════██║   ██║   ██╔══██║██╔══██╗   ██║   
-- ██║  ██║██║     ██║  ██║██║  ██║   ██║   ██║ ╚═╝ ██║███████╗██║ ╚████║   ██║       ███████║   ██║   ██║  ██║██║  ██║   ██║   
-- ╚═╝  ╚═╝╚═╝     ╚═╝  ╚═╝╚═╝  ╚═╝   ╚═╝   ╚═╝     ╚═╝╚══════╝╚═╝  ╚═══╝   ╚═╝       ╚══════╝   ╚═╝   ╚═╝  ╚═╝╚═╝  ╚═╝   ╚═╝   

Config.ApartmentStart = false
```

### Character Delete Button

```lua
-- ██████╗ ███████╗██╗     ███████╗████████╗███████╗    ██████╗ ██╗   ██╗████████╗████████╗ ██████╗ ███╗   ██╗
-- ██╔══██╗██╔════╝██║     ██╔════╝╚══██╔══╝██╔════╝    ██╔══██╗██║   ██║╚══██╔══╝╚══██╔══╝██╔═══██╗████╗  ██║
-- ██║  ██║█████╗  ██║     █████╗     ██║   █████╗      ██████╔╝██║   ██║   ██║      ██║   ██║   ██║██╔██╗ ██║
-- ██║  ██║██╔══╝  ██║     ██╔══╝     ██║   ██╔══╝      ██╔══██╗██║   ██║   ██║      ██║   ██║   ██║██║╚██╗██║
-- ██████╔╝███████╗███████╗███████╗   ██║   ███████╗    ██████╔╝╚██████╔╝   ██║      ██║   ╚██████╔╝██║ ╚████║
-- ╚═════╝ ╚══════╝╚══════╝╚══════╝   ╚═╝   ╚══════╝    ╚═════╝  ╚═════╝    ╚═╝      ╚═╝    ╚═════╝ ╚═╝  ╚═══╝

Config.DeleteButton = true
```

### Background Music

```lua
-- ██████╗  █████╗  ██████╗██╗  ██╗ ██████╗ ██████╗  ██████╗ ██╗   ██╗███╗   ██╗██████╗     ███╗   ███╗██╗   ██╗███████╗██╗ ██████╗
-- ██╔══██╗██╔══██╗██╔════╝██║ ██╔╝██╔════╝ ██╔══██╗██╔═══██╗██║   ██║████╗  ██║██╔══██╗    ████╗ ████║██║   ██║██╔════╝██║██╔════╝
-- ██████╔╝███████║██║     █████╔╝ ██║  ███╗██████╔╝██║   ██║██║   ██║██╔██╗ ██║██║  ██║    ██╔████╔██║██║   ██║███████╗██║██║     
-- ██╔══██╗██╔══██║██║     ██╔═██╗ ██║   ██║██╔══██╗██║   ██║██║   ██║██║╚██╗██║██║  ██║    ██║╚██╔╝██║██║   ██║╚════██║██║██║     
-- ██████╔╝██║  ██║╚██████╗██║  ██╗╚██████╔╝██║  ██║╚██████╔╝╚██████╔╝██║ ╚████║██████╔╝    ██║ ╚═╝ ██║╚██████╔╝███████║██║╚██████╗
-- ╚═════╝ ╚═╝  ╚═╝ ╚═════╝╚═╝  ╚═╝ ╚═════╝ ╚═╝  ╚═╝ ╚═════╝  ╚═════╝ ╚═╝  ╚═══╝╚═════╝     ╚═╝     ╚═╝ ╚═════╝ ╚══════╝╚═╝ ╚═════╝

Config.BackgroundMusic = {}
Config.BackgroundMusic.Status = true
Config.BackgroundMusic.Name = 'bgmusic.mp3'
Config.BackgroundMusic.Volume = 0.2
```

### Manuel Give Slot

```lua
-- ███████╗██╗      ██████╗ ████████╗███████╗
-- ██╔════╝██║     ██╔═══██╗╚══██╔══╝██╔════╝
-- ███████╗██║     ██║   ██║   ██║   ███████╗
-- ╚════██║██║     ██║   ██║   ██║   ╚════██║
-- ███████║███████╗╚██████╔╝   ██║   ███████║
-- ╚══════╝╚══════╝ ╚═════╝    ╚═╝   ╚══════╝

Config.Slots = {}
Config.Slots.Package = {
    {
        id = 1,
        totalSlot = 1
    }
}

Config.Slots.List = {
    {
        license = "license", 
        slot = 1
    },
}

Config.Slots.DiscordPerm = {}
Config.Slots.DiscordPerm.Status = false
Config.Slots.DiscordPerm.Role = {
    { 
        id = "roleid",
        slot = 1
    },
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0r-resources/0r-multicharacterv2/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
